Verify Unverified Channel
Verify an unverified channel with user's wallet signature
POST
/launcher/verify-unverified-channel
Verify an unverified channel with user's wallet signature
Header Parameters
X-Request-Nonce
string
optional
header
Random string identifier for request (for signature verification)
X-Request-Signature
string
optional
header
MD5 hash for request verification
Request Body required
application/jsonchannelId
string
REQUIRED
signature
string
REQUIRED
chainId
integer
Optional, only required for non-standard wallet addresses
Responses
200
Successful response
application/jsonsuccess
boolean
launcherJwt
string
400
Bad Request
401
Unauthorized
curl -X POST 'https://api.basement.fun/launcher/verify-unverified-channel' \ -H 'Content-Type: application/json' \ -d '{ "channelId": "string", "signature": "string", "chainId": 0}'
const response = await fetch('https://api.basement.fun/launcher/verify-unverified-channel', { method: 'POST', headers: { "Content-Type": "application/json" }, body: JSON.stringify({ "channelId": "string", "signature": "string", "chainId": 0 })});const data = await response.json();console.log(data);
import requestsresponse = requests.post('https://api.basement.fun/launcher/verify-unverified-channel', json={ "channelId": "string", "signature": "string", "chainId": 0})print(response.json())
200
Response
{ "success": true, "launcherJwt": "<string>"}
API Playground
Try this endpoint
POST
/launcher/verify-unverified-channel
